// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 48;
	objects = {

/* Begin PBXBuildFile section */
		69456901201D6AA400B4B4DB /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456900201D6AA400B4B4DB /* AppDelegate.swift */; };
		69456903201D6AA400B4B4DB /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456902201D6AA400B4B4DB /* ViewController.swift */; };
		69456906201D6AA400B4B4DB /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 69456904201D6AA400B4B4DB /* Main.storyboard */; };
		69456908201D6AA400B4B4DB /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 69456907201D6AA400B4B4DB /* Assets.xcassets */; };
		6945690B201D6AA400B4B4DB /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 69456909201D6AA400B4B4DB /* LaunchScreen.storyboard */; };
		69456913201D701600B4B4DB /* ThemesTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456912201D701600B4B4DB /* ThemesTableViewController.swift */; };
		69456915201D702D00B4B4DB /* ThemesTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456914201D702D00B4B4DB /* ThemesTableViewCell.swift */; };
		69456917201D7C0B00B4B4DB /* Music.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456916201D7C0B00B4B4DB /* Music.swift */; };
		69456919201D7D3F00B4B4DB /* Rest.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456918201D7D3F00B4B4DB /* Rest.swift */; };
		6945691B201D889600B4B4DB /* PlayListTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6945691A201D889600B4B4DB /* PlayListTableViewCell.swift */; };
		6945691D201D88B100B4B4DB /* PlayListTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6945691C201D88B100B4B4DB /* PlayListTableViewController.swift */; };
		6945691F201D8EA500B4B4DB /* MusicControl.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6945691E201D8EA500B4B4DB /* MusicControl.swift */; };
		69456924201DA90200B4B4DB /* DownloadMusic.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456923201DA90200B4B4DB /* DownloadMusic.swift */; };
		69456926201E71B400B4B4DB /* DownloadedTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456925201E71B400B4B4DB /* DownloadedTableViewController.swift */; };
		69456928201E71EC00B4B4DB /* DownloadedTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456927201E71EC00B4B4DB /* DownloadedTableViewCell.swift */; };
		6945692A201E850D00B4B4DB /* StringControl.swift in Sources */ = {isa = PBXBuildFile; fileRef = 69456929201E850D00B4B4DB /* StringControl.swift */; };
		6945692E201E962B00B4B4DB /* Protocols.swift in Sources */ = {isa = PBXBuildFile; fileRef = 6945692D201E962B00B4B4DB /* Protocols.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		694568FD201D6AA400B4B4DB /* DezenaMusic.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = DezenaMusic.app; sourceTree = BUILT_PRODUCTS_DIR; };
		69456900201D6AA400B4B4DB /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		69456902201D6AA400B4B4DB /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		69456905201D6AA400B4B4DB /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		69456907201D6AA400B4B4DB /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		6945690A201D6AA400B4B4DB /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		6945690C201D6AA400B4B4DB /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		69456912201D701600B4B4DB /* ThemesTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ThemesTableViewController.swift; sourceTree = "<group>"; };
		69456914201D702D00B4B4DB /* ThemesTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ThemesTableViewCell.swift; sourceTree = "<group>"; };
		69456916201D7C0B00B4B4DB /* Music.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Music.swift; sourceTree = "<group>"; };
		69456918201D7D3F00B4B4DB /* Rest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Rest.swift; sourceTree = "<group>"; };
		6945691A201D889600B4B4DB /* PlayListTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PlayListTableViewCell.swift; sourceTree = "<group>"; };
		6945691C201D88B100B4B4DB /* PlayListTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PlayListTableViewController.swift; sourceTree = "<group>"; };
		6945691E201D8EA500B4B4DB /* MusicControl.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MusicControl.swift; sourceTree = "<group>"; };
		69456923201DA90200B4B4DB /* DownloadMusic.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DownloadMusic.swift; sourceTree = "<group>"; };
		69456925201E71B400B4B4DB /* DownloadedTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DownloadedTableViewController.swift; sourceTree = "<group>"; };
		69456927201E71EC00B4B4DB /* DownloadedTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DownloadedTableViewCell.swift; sourceTree = "<group>"; };
		69456929201E850D00B4B4DB /* StringControl.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StringControl.swift; sourceTree = "<group>"; };
		6945692D201E962B00B4B4DB /* Protocols.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Protocols.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		694568FA201D6AA400B4B4DB /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		694568F4201D6AA400B4B4DB = {
			isa = PBXGroup;
			children = (
				694568FF201D6AA400B4B4DB /* DezenaMusic */,
				694568FE201D6AA400B4B4DB /* Products */,
			);
			sourceTree = "<group>";
		};
		694568FE201D6AA400B4B4DB /* Products */ = {
			isa = PBXGroup;
			children = (
				694568FD201D6AA400B4B4DB /* DezenaMusic.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		694568FF201D6AA400B4B4DB /* DezenaMusic */ = {
			isa = PBXGroup;
			children = (
				69456920201D8EED00B4B4DB /* Models */,
				69456921201D8F0B00B4B4DB /* Views */,
				69456922201D8F1200B4B4DB /* Controllers */,
				69456900201D6AA400B4B4DB /* AppDelegate.swift */,
				69456902201D6AA400B4B4DB /* ViewController.swift */,
				69456907201D6AA400B4B4DB /* Assets.xcassets */,
				6945690C201D6AA400B4B4DB /* Info.plist */,
			);
			path = DezenaMusic;
			sourceTree = "<group>";
		};
		69456920201D8EED00B4B4DB /* Models */ = {
			isa = PBXGroup;
			children = (
				69456916201D7C0B00B4B4DB /* Music.swift */,
				69456918201D7D3F00B4B4DB /* Rest.swift */,
				6945691E201D8EA500B4B4DB /* MusicControl.swift */,
				69456923201DA90200B4B4DB /* DownloadMusic.swift */,
				69456929201E850D00B4B4DB /* StringControl.swift */,
				6945692D201E962B00B4B4DB /* Protocols.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		69456921201D8F0B00B4B4DB /* Views */ = {
			isa = PBXGroup;
			children = (
				69456904201D6AA400B4B4DB /* Main.storyboard */,
				69456909201D6AA400B4B4DB /* LaunchScreen.storyboard */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		69456922201D8F1200B4B4DB /* Controllers */ = {
			isa = PBXGroup;
			children = (
				69456912201D701600B4B4DB /* ThemesTableViewController.swift */,
				69456914201D702D00B4B4DB /* ThemesTableViewCell.swift */,
				6945691A201D889600B4B4DB /* PlayListTableViewCell.swift */,
				6945691C201D88B100B4B4DB /* PlayListTableViewController.swift */,
				69456925201E71B400B4B4DB /* DownloadedTableViewController.swift */,
				69456927201E71EC00B4B4DB /* DownloadedTableViewCell.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		694568FC201D6AA400B4B4DB /* DezenaMusic */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6945690F201D6AA400B4B4DB /* Build configuration list for PBXNativeTarget "DezenaMusic" */;
			buildPhases = (
				694568F9201D6AA400B4B4DB /* Sources */,
				694568FA201D6AA400B4B4DB /* Frameworks */,
				694568FB201D6AA400B4B4DB /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = DezenaMusic;
			productName = DezenaMusic;
			productReference = 694568FD201D6AA400B4B4DB /* DezenaMusic.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		694568F5201D6AA400B4B4DB /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0910;
				LastUpgradeCheck = 0910;
				ORGANIZATIONNAME = "Gabriel Dezena";
				TargetAttributes = {
					694568FC201D6AA400B4B4DB = {
						CreatedOnToolsVersion = 9.1;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = 694568F8201D6AA400B4B4DB /* Build configuration list for PBXProject "DezenaMusic" */;
			compatibilityVersion = "Xcode 8.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 694568F4201D6AA400B4B4DB;
			productRefGroup = 694568FE201D6AA400B4B4DB /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				694568FC201D6AA400B4B4DB /* DezenaMusic */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		694568FB201D6AA400B4B4DB /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6945690B201D6AA400B4B4DB /* LaunchScreen.storyboard in Resources */,
				69456908201D6AA400B4B4DB /* Assets.xcassets in Resources */,
				69456906201D6AA400B4B4DB /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		694568F9201D6AA400B4B4DB /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				69456913201D701600B4B4DB /* ThemesTableViewController.swift in Sources */,
				69456915201D702D00B4B4DB /* ThemesTableViewCell.swift in Sources */,
				69456917201D7C0B00B4B4DB /* Music.swift in Sources */,
				69456924201DA90200B4B4DB /* DownloadMusic.swift in Sources */,
				69456928201E71EC00B4B4DB /* DownloadedTableViewCell.swift in Sources */,
				69456919201D7D3F00B4B4DB /* Rest.swift in Sources */,
				6945692A201E850D00B4B4DB /* StringControl.swift in Sources */,
				69456926201E71B400B4B4DB /* DownloadedTableViewController.swift in Sources */,
				6945691F201D8EA500B4B4DB /* MusicControl.swift in Sources */,
				6945692E201E962B00B4B4DB /* Protocols.swift in Sources */,
				69456903201D6AA400B4B4DB /* ViewController.swift in Sources */,
				6945691B201D889600B4B4DB /* PlayListTableViewCell.swift in Sources */,
				69456901201D6AA400B4B4DB /* AppDelegate.swift in Sources */,
				6945691D201D88B100B4B4DB /* PlayListTableViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		69456904201D6AA400B4B4DB /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				69456905201D6AA400B4B4DB /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		69456909201D6AA400B4B4DB /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				6945690A201D6AA400B4B4DB /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		6945690D201D6AA400B4B4DB /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.1;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		6945690E201D6AA400B4B4DB /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		69456910201D6AA400B4B4DB /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 9G56A2ZQDS;
				INFOPLIST_FILE = DezenaMusic/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.gabrieldezena.DezenaMusic;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		69456911201D6AA400B4B4DB /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 9G56A2ZQDS;
				INFOPLIST_FILE = DezenaMusic/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.gabrieldezena.DezenaMusic;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		694568F8201D6AA400B4B4DB /* Build configuration list for PBXProject "DezenaMusic" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6945690D201D6AA400B4B4DB /* Debug */,
				6945690E201D6AA400B4B4DB /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6945690F201D6AA400B4B4DB /* Build configuration list for PBXNativeTarget "DezenaMusic" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				69456910201D6AA400B4B4DB /* Debug */,
				69456911201D6AA400B4B4DB /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 694568F5201D6AA400B4B4DB /* Project object */;
}
